libjdo-api-java_3.1-3_all.deb


Advertisement

Description

libjdo-api-java - Implementation of JSR 243: Java Data Objects 3.1

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libjdo-api-java_3.1-3_all.deb
Package name libjdo-api-java
Package version 3.1
Package release 3
Package architecture all
Package type deb
Category java
Homepage http://db.apache.org/jdo/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 189.02 KB
Installed size 248.00 KB
Java Data Objects (JDO) is a standard way to access persistent data in
databases, using plain old Java objects (POJO) to represent persistent data.
The approach separates data manipulation (done by accessing Java data members
in the Java domain objects) from database manipulation (done by calling the
JDO interface methods). This separation of concerns leads to a high degree of
independence of the Java view of data from the database view of the data.
Interfaces are defined for the user's view of persistence:
- PersistenceManager: the component responsible for the life cycle of
persistent instances, Query factory, and Transaction access
- Query: the component responsible for querying the datastore and returning
persistent instances or values
- Transaction: the component responsible for initiating and completing
transactions
JDO is being developed as a Java Specification Request in the Java Community
Process. The original JDO 1.0 is JSR-12 http://www.jcp.org/en/jsr/detail?id=12
and the current JDO 2.0 is JSR-243 http://www.jcp.org/en/jsr/detail?id=243

Alternatives

Package Version Architecture Repository
libjdo-api-java_3.1-3_all.deb 3.1 all Debian Main
libjdo-api-java - - -

Requires

Name Value
libgeronimo-jta-1.2-spec-java -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libjdo-api-java_3.1-3_all.deb
Source Package libjdo-api-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjdo-api-java deb package:
    # sudo apt-get install libjdo-api-java

Files

Path
/usr/share/doc/libjdo-api-java/changelog.Debian.gz
/usr/share/doc/libjdo-api-java/copyright
/usr/share/java/jdo-api-3.1.jar
/usr/share/java/jdo-api.jar
/usr/share/maven-repo/javax/jdo/jdo-api/3.1/jdo-api-3.1.jar
/usr/share/maven-repo/javax/jdo/jdo-api/3.1/jdo-api-3.1.pom
/usr/share/maven-repo/javax/jdo/jdo-api/debian/jdo-api-debian.jar
/usr/share/maven-repo/javax/jdo/jdo-api/debian/jdo-api-debian.pom
/usr/share/maven-repo/org/apache/jdo/3.1/jdo-3.1.pom
/usr/share/maven-repo/org/apache/jdo/parent-pom/3.1/parent-pom-3.1.pom

Changelog

2018-10-17 - Emmanuel Bourg <ebourg@apache.org>
libjdo-api-java (3.1-3) unstable; urgency=medium
* Team upload.
* Fixed the build failure with Java 11 (Closes: #911188)
* Standards-Version updated to 4.2.1
* Switch to debhelper level 11
* Use salsa.debian.org Vcs-* URLs
2017-11-22 - Emmanuel Bourg <ebourg@apache.org>
libjdo-api-java (3.1-2) unstable; urgency=medium
* Team upload.
* Depend on libgeronimo-jta-1.2-spec-java instead of glassfish-javaee
* Standards-Version updated to 4.1.1
* Switch to debhelper level 10
2016-04-01 - Emmanuel Bourg <ebourg@apache.org>
libjdo-api-java (3.1-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Build with maven-debian-helper
* Updated debian/watch to catch the latest releases
* Standards-Version updated to 3.9.7 (no changes)
* Moved the package to Git
* Switch to debhelper level 9
* Converted debian/copyright to the Copyright Format 1.0
* Use secure Vcs-* URLs
* Changed the priority from extra to optional
2014-02-08 - Miguel Landaeta <nomadium@nomadium.org>
libjdo-api-java (2.2-2) unstable; urgency=low
* Team upload.
* Provide Maven artifacts. (Closes: #729607).
* Bump Standards-Version to 3.9.5. No changes were needed.
* Set target version for Java bytecode to 1.5.
* Update Vcs-* fields in d/control.
2010-06-07 - Miguel Landaeta <miguel@miguel.cc>
libjdo-api-java (2.2-1) unstable; urgency=low
* Team upload.
* New upstream release. (Closes: #584965).
* Bump Standards-Version to 3.8.4. No changes were needed.
* Update Vcs-* fields.
* Drop unneeded dependences on JREs.
* Switch source package to format 3.0 (quilt).
2009-08-23 - Torsten Werner <twerner@debian.org>
libjdo-api-java (2.0-3) unstable; urgency=low
* Add glassfish-javaee to DEB_JARS and Build-Depends. (Closes: #543056)
2009-06-28 - Torsten Werner <twerner@debian.org>
libjdo-api-java (2.0-2) unstable; urgency=low
* Change Maintainer: Debian Java Maintainers.
* Switch to default-java.
* Update Standards-Version: 3.8.2:
- Fix Homepage and Svn headers.
- Change Section: java.
* Change packaging license to GPL-3.
* Do no longer quote the full text of the Apache license.
2007-06-02 - Torsten Werner <twerner@debian.org>
libjdo-api-java (2.0-1) unstable; urgency=low
* Initial release (Closes: #427208)

See Also

Package Description
libjdom1-java-doc_1.1.3-2_all.deb lightweight and fast library using XML - documentation
libjdom1-java_1.1.3-2_all.deb lightweight and fast library using XML
libjdom2-intellij-java-doc_2.0.6+git20180529-2_all.deb documentation for IntelliJ version of JDOM2 library
libjdom2-intellij-java_2.0.6+git20180529-2_all.deb lightweight and fast XML DOM library (IntelliJ version)
libjdom2-java-doc_2.0.6-1_all.deb lightweight and fast library using XML - documentation
libjdom2-java_2.0.6-1_all.deb lightweight and fast library using XML
libje-perl_0.066-1_all.deb Pure-Perl ECMAScript (JavaScript) Engine
libjebl2-java-doc_0.1+git20180418.653eb83-1_all.deb Java Evolutionary Biology Library (documentation)
libjebl2-java_0.1+git20180418.653eb83-1_all.deb Java Evolutionary Biology Library
libjemalloc-dev_5.1.0-3_i386.deb development files and documentation for jemalloc
libjemalloc2_5.1.0-3_i386.deb general-purpose scalable concurrent malloc(3) implementation
libjemmy2-java-doc_2.3.1.1-3_all.deb Java library for automated Java GUI testing (documentation)
libjemmy2-java_2.3.1.1-3_all.deb Java library for automated Java GUI testing
libjempbox-java-doc_1.8.16-2_all.deb XMP Compatible Java Library (documentation)
libjempbox-java_1.8.16-2_all.deb XMP Compatible Java Library
Advertisement
Advertisement